# Microsoft.Samples.DirectX.UtilityToolkit.BlendColor Struct Reference

Blends colors. More...

List of all members.

## Public Member Functions
void | Initialize (ColorValue defaultColor, ColorValue disabledColor, ColorValue hiddenColor)
| Initialize the color blending.
void | Initialize (ColorValue defaultColor)
| Initialize the color blending.
void | Blend (ControlState state, float elapsedTime, float rate)
| Blend the colors together.
void | Blend (ControlState state, float elapsedTime)
| Blend the colors together.
void | Initialize (ColorValue defaultColor, ColorValue disabledColor, ColorValue hiddenColor)
| Initialize the color blending.
void | Initialize (ColorValue defaultColor)
| Initialize the color blending.
void | Blend (ControlState state, float elapsedTime, float rate)
| Blend the colors together.
void | Blend (ControlState state, float elapsedTime)
| Blend the colors together.
void | Initialize (ColorValue defaultColor, ColorValue disabledColor, ColorValue hiddenColor)
| Initialize the color blending.
void | Initialize (ColorValue defaultColor)
| Initialize the color blending.
void | Blend (ControlState state, float elapsedTime, float rate)
| Blend the colors together.
void | Blend (ControlState state, float elapsedTime)
| Blend the colors together.
## Public Attributes
ColorValue[] | States
ColorValue | Current

## Detailed Description

Blends colors.

Definition at line 48 of file dxmutgui.cs.

## Member Function Documentation

void Microsoft.Samples.DirectX.UtilityToolkit.BlendColor.Blend | ( | ControlState | state,
|  | float | elapsedTime |
| ) |  |  |

Blend the colors together.

Definition at line 82 of file wdxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.BlendColor.Blend | ( | ControlState | state,
|  | float | elapsedTime,
|  | float | rate |
| ) |  |  |

Blend the colors together.

Definition at line 73 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.BlendColor.Blend | ( | ControlState | state,
|  | float | elapsedTime |
| ) |  |  |

Blend the colors together.

Definition at line 81 of file dxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.BlendColor.Blend | ( | ControlState | state,
|  | float | elapsedTime,
|  | float | rate |
| ) |  |  |

Blend the colors together.

Definition at line 72 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.BlendColor.Blend | ( | ControlState | state,
|  | float | elapsedTime |
| ) |  |  |

Blend the colors together.

Definition at line 81 of file dxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.BlendColor.Blend | ( | ControlState | state,
|  | float | elapsedTime,
|  | float | rate |
| ) |  |  |

Blend the colors together.

Definition at line 72 of file dxmutgui.cs.

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.BlendColor.Initialize | ( | ColorValue | defaultColor | ) |

Initialize the color blending.

Definition at line 70 of file wdxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.BlendColor.Initialize | ( | ColorValue | defaultColor,
|  | ColorValue | disabledColor,
|  | ColorValue | hiddenColor |
| ) |  |  |

Initialize the color blending.

Definition at line 55 of file wdxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.BlendColor.Initialize | ( | ColorValue | defaultColor | ) |

Initialize the color blending.

Definition at line 69 of file dxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.BlendColor.Initialize | ( | ColorValue | defaultColor,
|  | ColorValue | disabledColor,
|  | ColorValue | hiddenColor |
| ) |  |  |

Initialize the color blending.

Definition at line 54 of file dxmutgui.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.BlendColor.Initialize | ( | ColorValue | defaultColor | ) |

Initialize the color blending.

Definition at line 69 of file dxmutgui.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void Microsoft.Samples.DirectX.UtilityToolkit.BlendColor.Initialize | ( | ColorValue | defaultColor,
|  | ColorValue | disabledColor,
|  | ColorValue | hiddenColor |
| ) |  |  |

Initialize the color blending.

Definition at line 54 of file dxmutgui.cs.

## Member Data Documentation

ColorValue Microsoft::Samples::DirectX::UtilityToolkit.BlendColor::Current

Definition at line 51 of file dxmutgui.cs.

ColorValue [] Microsoft.Samples.DirectX.UtilityToolkit.BlendColor.States

Definition at line 50 of file dxmutgui.cs.

The documentation for this struct was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmutgui.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmutgui.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmutgui.cs